Package Details: spyder-git 5.2.1.r345.gfad14a342-1

Git Clone URL: https://aur.archlinux.org/spyder-git.git (read-only, click to copy)
Package Base: spyder-git
Description: The Scientific Python Development Environment
Upstream URL: https://www.spyder-ide.org/
Licenses: MIT
Conflicts: spyder, spyder3-git
Provides: spyder
Replaces: spyder3-git
Submitter: willemw
Maintainer: willemw
Last Packager: willemw
Votes: 24
Popularity: 0.000010
First Submitted: 2015-02-24 08:52 (UTC)
Last Updated: 2021-12-15 20:21 (UTC)

Pinned Comments

willemw commented on 2020-08-05 07:20 (UTC) (edited on 2021-08-18 20:33 (UTC) by willemw)

Note:

Some dependencies may need to be manually downgraded or upgraded.

Alternatively, try to edit "install_requires" in "setup.py" and the requirements file ("requirements/conda.txt" in the source files or "requires.txt" in the installed files).

Latest Comments

jmd commented on 2021-08-18 22:22 (UTC)

@willemw Thanks, spyder works beautifully after changing the following in /usr/lib/python3.9/site-packages/spyder-6.0.0.dev0-py3.9.egg-info/requires.txt:

pyqt5>5.10
pyqtwebengine>5.10
spyder-kernels>=2.0.5

willemw commented on 2021-08-18 20:33 (UTC)

@jmd: Yes, some dependencies are either too old or too new, according to Spyder.

Some manual action is required to at least start Spyder without errors. See pinned comment.

jmd commented on 2021-08-18 20:12 (UTC)

@willemw Alright with the newest build(5.1.1.r252.g0a86dcdc5-1), this is spyder's output:

Traceback (most recent call last):
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (spyder-kernels 2.0.5 ($HOME.local/lib/python3.9/site-packages), Requirement.parse('spyder-kernels<2.2.0,>=2.1.0'), {'spyder'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/spyder", line 33, in <module>
    sys.exit(load_entry_point('spyder==6.0.0.dev0', 'gui_scripts', 'spyder')())
  File "/usr/bin/spyder", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/spyder/app/start.py", line 47, in <module>
    from spyder.utils.external import lockfile
  File "/usr/lib/python3.9/site-packages/spyder/utils/external/lockfile.py", line 31, in <module>
    from spyder.utils.programs import is_spyder_process
  File "/usr/lib/python3.9/site-packages/spyder/utils/programs.py", line 28, in <module>
    import pkg_resources
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'spyder-kernels<2.2.0,>=2.1.0' distribution was not found and is required by spyder

willemw commented on 2021-08-18 09:13 (UTC)

@jmd: this package is not built with/for conda.

jmd commented on 2021-08-18 07:08 (UTC)

Spyder seems to segfault for me when I start it up: Commands:

conda activate
spyder

Output:


libGL error: MESA-LOADER: failed to open iris: /opt/anaconda/lib/python3.8/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/iris_dri.so) (search paths /usr/lib/dri)
libGL error: failed to load driver: iris
libGL error: MESA-LOADER: failed to open iris: /opt/anaconda/lib/python3.8/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/iris_dri.so) (search paths /usr/lib/dri)
libGL error: failed to load driver: iris
libGL error: MESA-LOADER: failed to open swrast: /opt/anaconda/lib/python3.8/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/swrast_dri.so) (search paths /usr/lib/dri)
libGL error: failed to load driver: swrast
Fontconfig error: Cannot load default config file
Qt WebEngine ICU data not found at $HOME.cache/yay/anaconda/pkg/anaconda/opt/anaconda/resources. Trying parent directory...
Qt WebEngine ICU data not found at $HOME.cache/yay/anaconda/pkg/anaconda/opt/anaconda. Trying application directory...
Qt WebEngine ICU data not found at /opt/anaconda/libexec. Trying fallback directory... The application MAY NOT work.
Path override failed for key base::DIR_QT_LIBRARY_DATA and path '$HOME.QtWebEngineProcess'
Installed Qt WebEngine locales directory not found at location $HOME.cache/yay/anaconda/pkg/anaconda/opt/anaconda/translations/qtwebengine_locales. Trying application directory...
Qt WebEngine locales directory not found at location /opt/anaconda/libexec/qtwebengine_locales. Trying fallback directory... Translations MAY NOT not be correct.
Path override failed for key ui::DIR_LOCALES and path '$HOME.QtWebEngineProcess'
[0818/000106.456480:ERROR:icu_util.cc(178)] Invalid file descriptor to ICU data received.
[0818/000106.456566:FATAL:content_main_runner.cc(691)] Check failed: base::i18n::InitializeICU().
#0 0x7f175ad700be <unknown>
#1 0x7f175ad826c2 <unknown>
#2 0x7f175ad59068 <unknown>
#3 0x7f175ad54519 <unknown>
#4 0x7f175a70f49a QtWebEngine::processMain()
#5 0x565268770d74 <unknown>
#6 0x7f1758aabb25 __libc_start_main
#7 0x565268770dd4 <unknown>

[53718:53718:0818/000106.587994:FATAL:zygote_host_impl_linux.cc(182)] Check failed: ReceiveFixedMessage(fds[0], kZygoteBootMessage, sizeof(kZygoteBootMessage), &boot_pid).
#0 0x7fe75ce7d0be <unknown>
#1 0x7fe75ce8f6c2 <unknown>
#2 0x7fe75cbf9987 <unknown>
#3 0x7fe75cbf8b07 <unknown>
#4 0x7fe75cbf8e96 <unknown>
#5 0x7fe75c9a39a1 <unknown>
#6 0x7fe75c9a7727 <unknown>
#7 0x7fe75c839542 <unknown>
#8 0x7fe75c839718 <unknown>
#9 0x7fe75c830681 <unknown>
#10 0x7fe75c830732 QtWebEngineCore::WebContentsAdapter::WebContentsAdapter()
#11 0x7fe7645b6376 <unknown>
#12 0x7fe7645b40c4 <unknown>
#13 0x7fe7645b4252 QWebEnginePage::QWebEnginePage()
#14 0x7fe764676689 sipQWebEnginePage::sipQWebEnginePage()
#15 0x7fe764676812 init_type_QWebEnginePage
#16 0x7fe7661ac874 <unknown>
#17 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#18 0x55984d24c545 _PyEval_EvalFrameDefault
#19 0x55984d21a270 _PyEval_EvalCodeWithName.localalias.4
#20 0x55984d21bbfb _PyObject_Call_Prepend
#21 0x55984d21bf9a slot_tp_init
#22 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#23 0x55984d24c545 _PyEval_EvalFrameDefault
#24 0x55984d21be3f _PyObject_Call_Prepend
#25 0x55984d21bf9a slot_tp_init
#26 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#27 0x55984d24c545 _PyEval_EvalFrameDefault
#28 0x55984d21be3f _PyObject_Call_Prepend
#29 0x55984d21bf9a slot_tp_init
#30 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#31 0x55984d24c545 _PyEval_EvalFrameDefault
#32 0x55984d21a270 _PyEval_EvalCodeWithName.localalias.4
#33 0x55984d21b0a3 _PyFunction_Vectorcall.localalias.352
#34 0x55984d21bc71 _PyObject_Call_Prepend
#35 0x55984d21bf9a slot_tp_init
#36 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#37 0x55984d24d2ab _PyEval_EvalFrameDefault
#38 0x55984d21a821 _PyEval_EvalCodeWithName.localalias.4
#39 0x55984d21b480 method_vectorcall
#40 0x55984d184a61 _PyEval_EvalFrameDefault.cold.2825
#41 0x55984d21afcb _PyFunction_Vectorcall.localalias.352
#42 0x55984d1845db _PyEval_EvalFrameDefault.cold.2825
#43 0x55984d21afcb _PyFunction_Vectorcall.localalias.352
#44 0x55984d184a61 _PyEval_EvalFrameDefault.cold.2825
#45 0x55984d21afcb _PyFunction_Vectorcall.localalias.352
#46 0x55984d1845db _PyEval_EvalFrameDefault.cold.2825
#47 0x55984d21a270 _PyEval_EvalCodeWithName.localalias.4
#48 0x55984d2af543 PyEval_EvalCode
#49 0x55984d2af5e4 run_eval_code_obj
#50 0x55984d2d5854 run_mod
#51 0x55984d196390 pyrun_file
#52 0x55984d1990d2 PyRun_SimpleFileExFlags.localalias.16
#53 0x55984d199bf0 Py_RunMain.cold.2953
#54 0x55984d2d8a09 Py_BytesMain
#55 0x7fe77d2aeb25 __libc_start_main
#56 0x55984d267fe5 <unknown>

[1]    53718 abort (core dumped)  spyder

NiceMicro commented on 2021-07-13 16:07 (UTC)

@willemw Unfortunately, when installing python-spyder-kernels-git, spyder also didn't work, either with the community package, nor spyder3-git. I am honestly confused why doesn't it.

willemw commented on 2021-07-10 14:27 (UTC)

@NiceMicro: python-spyder-kernels-git is too new or you decided not to use it?

(Usually, you can install either python-spyder-kernels or python-spyder-kernels-git for spyder or spyder3-git.)

NiceMicro commented on 2021-07-10 13:58 (UTC)

@willemw yeah, that bug is what causes me to not use Spyder for 2 months now.

Luckily I saw in the bugreport a new comment, and figured that if I just build spyder-kernels based on the PKGBUILD for the community package, but with the newest version (replace version number and sha in the file and then makepkg -si), and then I install Spyder from the community repo, it works.

@davidovitch maybe this info might be useful for you.

davidovitch commented on 2021-07-04 21:25 (UTC)

Same here, neither the community package or in my pip-based virtual environments it was working at some point. What did work was creating a fresh new pip-based virtual environment and pip install spyder in there (no mini/anaconda). I didn't further dig into why it worked again, or what versions I had installed differently in the old vs the new virtual env.

willemw commented on 2021-07-04 17:43 (UTC)

@NiceMicro: for community/spyder there is a bug, still open: https://bugs.archlinux.org/task/70689. Consider installing Spyder the upstream recommended way (Anaconda)?

NiceMicro commented on 2021-07-04 17:30 (UTC)

@willemw: thank you for the reply.

I have not been able to run spyder from the community repo since May. The error I got was similar, but for different version of the spyder-kernels was required.

If I change the requires.txt so the spyder-kernels get accepted, then I get the same error for 'rtree>=0.9.7'. I tried the same method with the spyder in the community repo, there I get the error with 'decorator<5'. The dependencies seem to be borked. Am I the only one who got this issue?

willemw commented on 2021-07-04 14:13 (UTC)

@NiceMircro: have you tried any of the suggestions in my previous comment? Maybe use spyder from the community repo?

NiceMicro commented on 2021-07-04 13:53 (UTC) (edited on 2021-07-04 13:54 (UTC) by NiceMicro)

Spyder doesn't work due to conflicts with the spyder-kernels version:

pkg_resources.DistributionNotFound: The 'spyder-kernels<2.1.0,>=2.0.4' distribution was not found and is required by spyder

It doesn't matter whether I install python-spyder-kernels from the official repos or if I build pythin-spyder-kernels-git from the AUR. I've seen some discussions about the issue on the bugs page for the official spyder package, but that bug is not going anywhere since May 4th. Can anyone point me in a direction to solve this? Thanks a lot.

willemw commented on 2020-08-05 07:20 (UTC) (edited on 2021-08-18 20:33 (UTC) by willemw)

Note:

Some dependencies may need to be manually downgraded or upgraded.

Alternatively, try to edit "install_requires" in "setup.py" and the requirements file ("requirements/conda.txt" in the source files or "requires.txt" in the installed files).

willemw commented on 2020-04-25 17:16 (UTC)

@fisherjf: I don't think this is a Spyder package issue. Spyder does not install /usr/bin/keyring.

Which package owns it now (pacman -Qo /usr/bin/keyring)? Maybe you need to do a system upgrade.

fisherjf commented on 2020-04-25 17:08 (UTC)

unable to install.

conflicting files: python-keyring: /usr/bin/keyring already exists in filesystem

willemw commented on 2020-03-14 09:14 (UTC)

depends=python-spyder-kernels is correct and you should select python-spyder-kernels-git yourself.

But for (temporary) convenience it can be set to depend=python-spyder-kernels-git. That is what I do for several other packages I maintain. For this package (spyder3-git), however, I did not think it was necessary.

trougnouf commented on 2020-03-14 09:01 (UTC) (edited on 2020-03-14 09:04 (UTC) by trougnouf)

spyder-kernels >= 1.0 is required (found 0.5.2).

The dependency should be python-spyder-kernels-git instead of python-spyder-kernels

j_4321 commented on 2019-11-26 15:55 (UTC)

spyder now requires python-intervaltree

willemw commented on 2019-11-13 08:57 (UTC)

Removed spyder (python 2 version). Added cloudpickle and numpydoc dependencies.

willemw commented on 2019-11-13 07:38 (UTC)

@daviding: the Arch Linux package name for pyls is python-language-server (0.29.1), which is already a dependency. The issue is that Spyder checks for a newer version (>=0.29.3;<0.30.0).

daviding commented on 2019-11-12 17:04 (UTC)

I also got the error ...

--begin paste --

RuntimeError: Please check Spyder installation requirements: spyder-kernels >= 1.0 is required (found 0.5.2).

-- end paste --

... and found python-spyder-kernels-git 1.7.0.r12.g2bcda3b-1 in AUR. I installed that.

Starting Spyder, there's a warning message:

-- begin paste --

You have missing dependencies!

numpydoc >=0.6.0 : None (NOK)
pyls >=0.29.3;<0.30.0: 0.29.1 (NOK)

Please install them to avoid this message.

-- end paste --

... and found python-numpydoc 0.9.1-1 in AUR. Installed that.

Another message ...

-- begin paste --

pyls >=0.29.3;<0.30.0: 0.29.1 (NOK)

-- end paste --

... and found python-pylsl 1.13.1-1 in AUR. Tried installing that unsuccessfully.

-- begin paste --

Cloning python-pylsl build files... Checking python-pylsl dependencies... Preparing... Warning: cannot resolve "liblsl", a dependency of "python-pylsl" Failed to prepare transaction: could not satisfy dependencies: unable to satisfy dependency 'liblsl' required by python-pylsl Failed to prepare transaction.

-- end paste --

willemw commented on 2019-10-05 06:52 (UTC)

@JohnRobson: Thanks. Added pympler dependency. Your spyder-kernels version is very old. Current version is 1.5.0.r2.gc303669-1.

JohnRobson commented on 2019-10-05 01:33 (UTC) (edited on 2019-10-05 01:33 (UTC) by JohnRobson)

RuntimeError: Please check Spyder installation requirements: spyder-kernels >= 1.0 is required (found 0.4.4).

ModuleNotFoundError: No module named 'pympler'

dependencies: python-spyder-kernels-git python-pympler

willemw commented on 2019-09-26 19:17 (UTC)

@maciex: these dependencies are already defined.

maciex commented on 2019-09-26 19:09 (UTC)

missing dependencies: python2-keyring, python2-language-server, python-qdarkstyle

willemw commented on 2019-07-22 06:50 (UTC)

@fabmazz:

Added two dependencies.

The 'community/spyder' base package is also a split package (for now). You could also build the package in a clean chroot environment, if you don't want to install Python 2 on your system.

fabmazz commented on 2019-07-19 22:22 (UTC)

Now spyder 4 requires python-watchdog as a depedency. They just keep adding new ones....

Also, I think that building spyder for both python 2 and python 3 at the same time is confusing and not useful at all. I think it goes against the minimalist principle of Arch, and, given that Python 2 will soon reach EOL, is not useful at all.

If the packages could be split for different Python versions it would be great... otherwise I will continue to remove parts of the PKGBUILD each time xD

willemw commented on 2019-06-11 15:16 (UTC)

@fabmazz: Thanks. Added the already existing python-diff-match-patch package as dependency. There is no python2-diff-match-patch (because Python 2 is almost EOL?).

Note: Spyder3 complains about missing pyls (PYLS_REQVER = '>=0.19.0;<0.25'). The Arch version is 0.26.1-1.

fabmazz commented on 2019-06-11 14:38 (UTC)

Now spyder 4 requires the diff-match-patch library. Maybe add the AUR package "python-diff_match_patch" to the dependencies?

akspecs commented on 2019-02-22 21:21 (UTC)

@willemw:

Thanks! The workaround in this case is simple: via the dropdown menu tools > preferences in the general tab there's another dropdown that gives the option to choose the spyder2 icon theme. This prevents the issue from recurring for the time being until the incompatibility between qtawesome and pyqt5 5.12 is resolved.

willemw commented on 2019-02-22 13:06 (UTC)

@akspecs: Seems to be a known issue: https://github.com/spyder-ide/spyder/issues/8748

akspecs commented on 2019-02-22 08:11 (UTC)

@willemw:

After installing python-qtawesome-git I'm able to run the IDE, but buttons are glitching out with graphical artifacts as pictured here:

https://i.imgur.com/QBRNFNF.png

willemw commented on 2019-02-15 10:11 (UTC)

@akspecs:

I have added all the new dependencies to PKGBUILD, except for python2-qdarkstyle which is not available.

I am not seeing the "Invalid icon name" exception. Do you have python-qtawesome-git installed and is it up-to-date?

akspecs commented on 2019-02-15 06:56 (UTC) (edited on 2019-02-15 07:12 (UTC) by akspecs)

I'm unable to run spyder3-git. Any help or advice would be greatly appreciated. I get the following error: https://pastebin.com/raw/SnzuEP37

edit: after installing 'python-atomicwrites', it became clear I also needed to have 'python-spyder-kernels-git' rather than just 'python-spyder-kernels'. Then I later learned that 'python-qdarkstyle' is also needed. But even with these extra dependencies installed, I'm still left with the following error: https://pastebin.com/raw/WHZ9f5Je

The last line of the error being: Exception: Invalid icon name "format-letter-case" in font "mdi"

willemw commented on 2018-09-27 18:14 (UTC)

@cerikson: Thanks. Updated to include all new dependencies.

cerikson commented on 2018-09-27 17:30 (UTC)

Just did a install on a fresh system and the dependency python-language-server was missing after install. Which caused spyder3 to crash on startup.

willemw commented on 2018-08-05 07:52 (UTC)

@CAM-Gerlach: Thanks. Updated as much as possible.

CAM-Gerlach commented on 2018-08-02 00:55 (UTC) (edited on 2018-08-02 00:56 (UTC) by CAM-Gerlach)

@willemw Hey, this is C.A.M. Gerlach, one of the Spyder developers. I just wanted to let you know a few quick things:

  • First and foremost, thanks for helping maintain the Spyder distro package on Arch!
  • The full name of our package should be (note capitalization) "The Scientific Python Development Environment", i.e. without the strange caps we eliminated several versions ago.
  • Unless required to be Github for technical reasons, you can update the main URL to point to our new site, https://www.spyder-ide.org
  • Should python-pyside and python=pyqt4 be dropped from the optional deps, since they are no longer supported GUI backends as of a long time ago, and 3.3.0 respectively?
  • Finally, if you'd like a more representative one-liner desription, feel free to use

    "Spyder is a powerful Python IDE combining the editing, analysis, debugging and profiling functionality of a software development tool with the data exploration, interactive execution, deep inspection and rich visualization capabilities of a scientific environment like MATLAB or Rstudio."

or some variant thereof.

Thanks again for all your work! I sent you an email with more details on all of this, for your reference.

willemw commented on 2018-07-24 19:57 (UTC)

@AnySomebody:

https://aur.archlinux.org/packages/spyder3-git/ lists all spyder3 dependencies.

I'm only going to provide the -git versions.

You have to install python-spyder-kernels-git manually (with the --asdep option). I don't know of any AUR helper that can help you with that.

AnySomebody commented on 2018-07-24 17:35 (UTC)

Please update dependency python-spyder-kernels to python-spyder-kernels-git or correct me in case I'm wrong but I couldn't find python-spyder-kernels in AUR.

willemw commented on 2018-07-16 14:52 (UTC)

@j_4321. Thanks. Corrected the typo.

j_4321 commented on 2018-07-16 12:29 (UTC)

Great! but I think there is a typo in package_spyder3-git(), in the depends array, there is 'python2-spyder-kernels' instead of 'python-spyder-kernels'.

willemw commented on 2018-07-06 11:55 (UTC)

@j_4321: Thanks. Added dependencies for the new package https://aur.archlinux.org/pkgbase/python-spyder-kernels-git/

j_4321 commented on 2018-07-06 08:02 (UTC)

Versions >= 3.3.0 requires the spyder_kernels module which has been moved to a separate package: https://github.com/spyder-ide/spyder-kernels.

willemw commented on 2018-01-09 09:28 (UTC)

@j_4321: Thanks. Updated.

j_4321 commented on 2018-01-09 08:54 (UTC)

I have just built spyder3-git-3.2.6.r1140.gd0f826592 and when I launched it I got a "ModuleNotFoundError: No module named 'cloudpickle'". So I think that python-cloudpickle (https://aur.archlinux.org/packages/python-cloudpickle/) should be added to the dependencies.

willemw commented on 2017-03-27 16:54 (UTC)

@frankscasket: I think that is a bug in python-qtawesome. It should depend on python-qtpy. See https://github.com/spyder-ide/qtawesome.

commented on 2017-03-27 16:40 (UTC)

Thanks for this. In addition, I needed to install the package python-qtpy.

willemw commented on 2016-12-17 07:44 (UTC)

@LeftyAce: Have you tried building without any old build files present?

LeftyAce commented on 2016-12-17 05:57 (UTC)

I'm getting the following error during the build process, any ideas? Running Sphinx v1.5 Traceback (most recent call last): File "setup.py", line 306, in <module> setup(**setup_args) File "/usr/lib/python2.7/distutils/core.py", line 151, in setup dist.run_commands() File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands self.run_command(cmd) File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command cmd_obj.run() File "/usr/lib/python2.7/distutils/command/build.py", line 127, in run self.run_command(cmd_name) File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command self.distribution.run_command(command) File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command cmd_obj.run() File "setup.py", line 176, in run setup_command.BuildDoc.run(self) File "/usr/lib/python2.7/site-packages/sphinx/setup_command.py", line 180, in run handle_exception(app, self, exc, sys.stderr) UnboundLocalError: local variable 'app' referenced before assignment

willemw commented on 2016-08-31 16:41 (UTC)

@contrebasse: Thanks. Improved the pep8 patch.

contrebasse commented on 2016-08-31 12:24 (UTC)

Sed doesn't find this file spyder/spyderlib/utils/codeanalysis.py to patch for pycodestyle instead of pep8.

willemw commented on 2016-08-10 06:16 (UTC)

This package depends on python2-pyqt5, which should pull in all the required qt5 dependencies (qt5-base).

spdrfall commented on 2016-08-10 01:03 (UTC)

I have to install qt5 group package (34 members) to get this to work. Should qt5 (or the exact packages required, that are not listed as deps) be added to dependencies?

contrebasse commented on 2016-06-17 23:01 (UTC)

@JohnRobson Downgrade qtpy, spyder is not yet compatible with qtpy master.

JohnRobson commented on 2016-06-17 18:40 (UTC) (edited on 2016-06-17 19:48 (UTC) by JohnRobson)

check_qt() function in /usr/lib/python3.5/site-packages/spyderlib/requirements.py This function has this problem: $ /usr/bin/python3.5 /usr/bin/spyder3 Traceback (most recent call last): File "/usr/bin/spyder3", line 3, in <module> start.main() File "/usr/lib/python3.5/site-packages/spyderlib/app/start.py", line 118, in main from spyderlib.app import spyder File "/usr/lib/python3.5/site-packages/spyderlib/app/spyder.py", line 48, in <module> requirements.check_qt() File "/usr/lib/python3.5/site-packages/spyderlib/requirements.py", line 46, in check_qt % (package_name, required_ver, actual_ver)) File "/usr/lib/python3.5/site-packages/spyderlib/requirements.py", line 25, in show_warning raise RuntimeError(message) RuntimeError: Please check Spyder installation requirements: PyQt5 5.2+ is required (found v1.1.0.dev0). Even after update: python-qtpy-git python2-qtpy-git

davidovitch commented on 2016-06-05 11:04 (UTC)

@willemw: I missed that pyqt5 has qt5-webengine as a make dep. Must have mixed something up, because you are right, I can run spyder(3)-git without qt5-webengine.

willemw commented on 2016-06-05 10:21 (UTC) (edited on 2016-06-05 10:39 (UTC) by willemw)

@davidovitch. What breaks? How to check this? Is qt5-webengine really additional dependency of python-qtpy-git? I only see qt5-webengine as a make dependency of pyqt5. This means qt5-webengine is built into pyqt5?

davidovitch commented on 2016-06-05 09:30 (UTC)

Initially, spyder-git broke when python-pyqt5 was upgraded to 5.6.0. Now qt5-webengine is an additional dependency of python-qtpy-git. Requires the latest changes from both spyder and qtpy. See also https://github.com/spyder-ide/spyder/pull/3198.

willemw commented on 2016-04-25 06:39 (UTC)

The nbconvert error/warning for spyder (python 3 version) has been fixed.

flocke commented on 2016-04-21 10:34 (UTC) (edited on 2016-04-21 10:35 (UTC) by flocke)

I opened a bug report for community/jupyter to add entrypoints as dependency: https://bugs.archlinux.org/task/49036 For the time being you can install entrypoints manually as user to fix the warning: pip3 install --user entrypoints

willemw commented on 2016-04-18 16:20 (UTC)

Nbconvert for python 3 is in package community/jupyter, but seems broken (same error as https://trac.macports.org/ticket/51167): >>> import nbconvert Traceback (most recent call last): ... ImportError: No module named 'entrypoints' Nbconvert for python 2 seems to be missing (in the community repo).

contrebasse commented on 2016-04-18 15:02 (UTC)

It now needs the package nbconvert, but I didn't find it as a package for arch linux.

willemw commented on 2016-01-25 19:34 (UTC)

@flying-sheep: Thanks. Updated.

flying-sheep commented on 2016-01-25 13:19 (UTC)

hi, newest git master has pyqt5 as default. please update the dependencies: spyder-git: -python2-pyqt4 +python2-pyqt5 spyder3-git: -python-pyqt4 +python-pyqt5

commented on 2015-12-06 11:10 (UTC)

@Willewm: I see, the git packages provide the normal dependencies. But I feel that it should be renamed to the git versions of the packages just to make it clearer. Thanks again!

willemw commented on 2015-12-06 08:11 (UTC)

@Nabobalis: I am only providing the git versions of the dependencies. You may need to install these dependencies yourself first. For example, for spyder3-git, you could run: $ pacaur -S --asdeps python-qtawesome-git python-qtpy-git

commented on 2015-12-05 23:55 (UTC)

@willewm: Thank you for updating the PKGBUILD. Will python-qtawesome be added to the AUR soon?

willemw commented on 2015-12-05 18:05 (UTC)

@Nabobalis: Thanks. Updated PKGBUILD. Added new python-qtawesome/python2-qtawesome dependencies, which depend on new python-qtpy/python2-qtpy dependencies. See python-qtawesome-git and python-qtpy-git base packages.

commented on 2015-12-05 16:27 (UTC)

I get this issue, trying to install this, ==> Starting prepare()... sed: can't read spyderlib/utils/external/pickleshare.py: No such file or directory ==> ERROR: A failure occurred in prepare().

willemw commented on 2015-11-25 11:45 (UTC)

Spyder can run with qt5 instead of qt4: # pacman -S --asdeps python-pyqt5 $ QT_API=pyqt5 spyder3 Go to menu Help --> About Spyder... : "Python 3.5.0 64bits, Qt 5.5.1, PyQt5 5.5.1 on Linux"

Viper_Scull commented on 2015-11-24 20:32 (UTC) (edited on 2015-11-24 21:09 (UTC) by Viper_Scull)

But you can't run it since the iPython compiled with this package is loading PyQt4 by default , and both modules (pyqt5 and pyqt4) can't be imported at the same time: "the PyQt5.QtCore and PyQt4.QtCore modules both wrap the QObject class"

contrebasse commented on 2015-11-21 12:59 (UTC)

You can choose which qt version (pyqt4, pyqt5, pyside) you use in the preferences.

Viper_Scull commented on 2015-11-21 11:42 (UTC) (edited on 2015-11-21 11:42 (UTC) by Viper_Scull)

Could spyder3-git be compiled with pyqt5 instead of pyqt4?

willemw commented on 2015-08-25 14:39 (UTC)

@contrebasse: Thanks. Solved.

contrebasse commented on 2015-08-25 08:26 (UTC)

spyderlib/userconfig.py has been replaced by spyderlib/config/user.py.

willemw commented on 2015-07-09 08:26 (UTC)

@contrebasse: The issue could be something specific on your system. Try to isolate the problem, if you want. Are the read-only files owned by root? Is /tmp/makepkg only used by yaourt? My yaourt temp files are in yaourt specific directory /tmp/yaourt-tmp-$USER. Did you change /etc/yaourtrc? Try running makepkg directly. Or try pacaur, which cleans up after a build (Default: cleandevel=true # clean up devel package).

contrebasse commented on 2015-07-09 08:08 (UTC)

The fix didn't change anything, that's really weird. The problem appears only when there is an update to the git repo (that's why I was slow to answer). There are lots of files in /tmp/makepkg/spyder-git/src/spyder/.git/objects/ but only one or two are read-only.

willemw commented on 2015-06-25 08:58 (UTC)

@contrebasse: no, the prepare() in this package does not do anything special. Tried yaourt and also makepkg directly. Cannot reproduce the error. However, prepare() now removes directory src/spyder3 before it is recreated. Please, check the fix.

contrebasse commented on 2015-06-23 07:27 (UTC)

Removing /tmp/makepkg/spyder-git works, but the error reappears later. Since only this -git package fails, I wonder if it does something special ? The copy fails because the target file already exists and is read-only for everyone.

willemw commented on 2015-06-22 15:00 (UTC)

Maybe your build files are corrupt or maybe the filesystem partition is full? You could try removing the yaourt build files (usually in /tmp) and then try to update or install again.

contrebasse commented on 2015-06-22 08:31 (UTC)

I have this error trying to update or to install: ==> Starting prepare()... cp: cannot create regular file 'spyder3/spyder/.git/objects/pack/pack-6d2f84dbed384e743fdf635633696c21b1fb9a68.pack': Permission denied cp: cannot create regular file 'spyder3/spyder/.git/objects/pack/pack-6d2f84dbed384e743fdf635633696c21b1fb9a68.idx': Permission denied ==> ERROR: A failure occurred in prepare(). I use yaourt as a standard user.

willemw commented on 2015-02-24 08:55 (UTC)

@davidovitch: Thanks. Spyder-hg and spyder3-hg have now moved to spyder-git and spyder3-git.

davidovitch commented on 2015-02-24 08:29 (UTC)

Notice that since a few days the official code repository changed from Bitbucket to Github: https://github.com/spyder-ide/spyder

willemw commented on 2014-07-23 17:04 (UTC)

Changed package names (spyder-hg to spyder3-hg and spyder2-hg to spyder-hg). You may need to uninstall spyder package(s), before being able to upgrade.

willemw commented on 2014-06-09 14:45 (UTC)

spyder-hg is now a split package: spyder-hg and spyder2-hg.

esdaniel commented on 2014-05-15 07:34 (UTC)

FYI3 latest updates (zeromq 4.0.4-3) have fixed this problem for me.

esdaniel commented on 2014-05-14 13:16 (UTC)

FYI2: Bug report re: libsodium https://github.com/jedisct1/libsodium/issues/155

esdaniel commented on 2014-05-14 12:42 (UTC)

FYI latest libsodium (0.5.0-1) breaks zmq bindings of Spyder's IPython widget

willemw commented on 2014-05-10 10:55 (UTC)

@contrebasse: very good point. Split this package into two packages, following the naming convention similar to the python/python2 numbering: spyder-hg: Python 3 (beta) version spyder2-hg: Python 2 version

contrebasse commented on 2014-05-09 19:18 (UTC)

Be aware that there may be problems running python2 inside spyder running python3 and vice-versa: https://code.google.com/p/spyderlib/issues/detail?id=1698 Spyder under python2 will still be needed for people still developping for python2. Maybe "spyder" can be for python3 and "spyder2" or "spyder-py2" (to avoid ambiguity with the version 2 of spyder) for python 2 ?

willemw commented on 2014-05-09 17:57 (UTC)

For now: install spyder (in Python 2) and spyder3 (beta version in Python 3). In the end, plan to remove the Python 2 version.

willemw commented on 2013-11-28 09:39 (UTC)

@davidovitch: Thanks. Updated. Also updated the optdepends list.

davidovitch commented on 2013-11-28 08:57 (UTC)

I just want to give an heads up here and mention that from now the development of Spyder continues on Bitbucket: https://bitbucket.org/spyder-ide/spyderlib. See also the official announcement: https://groups.google.com/forum/#!topic/spyderlib/48jqmpKXiuU

willemw commented on 2013-11-14 07:54 (UTC)

@Nabobalis: No problem. Let's first wait for the spyder 2.3 install instructions, which should make clear whether the people at spyder prefer 1 or 2 spyder instances (for python 2 / 3) on linux. Otherwise, we can just ask them. And then first follow those 'spyder supported' instructions, to update the arch linux package files. Then after that, if there is a real need for it, we can perhaps have PKGBUILD build and install 2 spyder instances.

commented on 2013-11-13 21:46 (UTC)

@willemw All fair points. However, for me, I felt that having two spyder installs was easier for me at this time so I could develop Python 2 and 3 code at the same time. I accept that in very few cases this is an ideal or even desired solution by any sane people.

willemw commented on 2013-11-13 14:55 (UTC)

@Nabobalis Thanks. that's great, but why would you want Spyder 2.3, coming soon with official Python 2 and 3 support, to also run under Python 2? I plan to switch over to running Spyder under Python 3, when officially supported. Also, there are no official Python 3 build and installation instructions for Spyder, last time I looked, so better wait for that or at least wait for Spyder 2.3. Until then, I assume you will be able to develop in Python 2 and 3 with just a Spyder / Python 3 installation.

commented on 2013-11-13 14:27 (UTC)

I made a hacky/terrible PKGBUILD that creates a python2 and python3 version of spyder. Since both versions now use separate config directories they can work side by side. This is my first time touching a PKGBUILD, so I can not guarantee that it won't melt your PC. Look here: http://pastebin.com/CWzVejuw

flying-sheep commented on 2013-10-15 14:17 (UTC)

well, if i want the python3 version installed without installing the python2 dependencies, i’ll have to edit the pkgbuild. i think this warrants a second package.

davidovitch commented on 2013-10-12 08:56 (UTC)

Embarrassed apologies...I am not used to using a touchpad and accidentally flagged the package out of date...which it isn't...

willemw commented on 2013-07-23 09:59 (UTC)

@rubenvb: Thanks. Makedepends updated. I plan on migrating the package to python3 when spyder 2.3 comes out and python 3 is officially supported. I know it already can run in python3 (see PKGBUILD file). Spyder 2.3 will then support development in both python 2 and 3. I don't see a real need to add or rename packages that will then start with 'python-' or 'python2-' in this case. (Also, if you have spyder 2.3 running in python3, then why have another package that installs spyder in python2?)

rubenvb commented on 2013-07-23 09:32 (UTC)

mercurial should be in makedepends, and this should be named "python2-spyder-hg" because it is possible to use the dev branch with python3.

willemw commented on 2013-06-29 06:01 (UTC)

Update: patch for pylint2; don' install spyder_win_post_install.py.

willemw commented on 2013-06-24 13:17 (UTC)

Updated package (pacman 4.1, python dependencies, ...).

willemw commented on 2013-06-23 07:17 (UTC)

All the python 'depends' and 'optdepends' are now python3 dependencies. These package names should start with 'python2-' and 'pylint' should be 'python2-pylint'.

davidovitch commented on 2013-05-20 14:02 (UTC)

What I haven't figured out yet is to prevent from having the mercurial repo directory (.hg) twice, as now it lives in both src/spyderlib/.hg and spyderlib/.hg. Any ideas, I can't figure it out based on the official guidelines: https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines.

flying-sheep commented on 2013-05-18 12:55 (UTC)

fixed it: https://gist.github.com/flying-sheep/5604309

davidovitch commented on 2013-04-08 11:43 (UTC)

Since pacman 4.1, I think every -git, -hg, -bzr needs to be updated. It is explained here: https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines For example, to get the correct version info I updated the PKGBUILD with: pkgver() { cd @srcdir/$_hgrepo-build hg identify -ni | awk 'BEGIN{OFS=".";} {print $2}' }

contrebasse commented on 2012-11-09 22:38 (UTC)

It seems that it requires python2-pyzmq: ImportError: IPython.zmq requires pyzmq >= 2.1.4

big_gie commented on 2012-11-08 17:08 (UTC)

EDIT: Sorry AUR broke the patch. Here's a pastebin for a diff of a working PKGBUILD: http://pastebin.com/jp4i2Zqr

cheesinglee commented on 2012-02-24 09:59 (UTC)

Build fails for me because it appears that the hg repository is pulled in twice, and gives up because no changes were added after the second pull. I commented out the if-clause in build(), and was then able to get it to install.

vit commented on 2010-11-21 11:23 (UTC)

Doesn't compile. real URL is https://spyderlib.googlecode.com/hg/ pulling from https://spyderlib.googlecode.com/hg//spyderlib searching for changes no changes found updating to branch default 383 files updated, 0 files merged, 0 files removed, 0 files unresolved Traceback (most recent call last): File "setup.py", line 16, in <module> from sphinx import setup_command ImportError: No module named sphinx Aborting... Is it updated for python3?